/**
 * 
 */


package gov.va.med.cds.log4j;


/**
 * @author DNS   egberb
 * 
 */
public class RuntimeConfigurableJmsAppender
    extends
        JmsQueueAppender
{
    public RuntimeConfigurableJmsAppender( )
    {
        super();
    }


    @Override
    public void setProviderURL( String providerURL )
    {
        // use system property as the overriding value if available.
        String cdsProviderURL = System.getProperty( "cds.jndi.provider.url" );
        if ( cdsProviderURL != null )
        {
            providerURL = cdsProviderURL;
        }

        super.setProviderURL( providerURL );
    }
}
